Subject: Sparkles in Mopac : summary

From: [email-masked] (makula-bisance)
Date: Wed, 28 Sep 1994 09:21:56 +0100 (MET)

Dear Netters,
  
 here is a summary of the messages I received after my original posting about
 the use of sparkles in Mopac.
 ---------------------------------------------------
 Original posting :

 Dear Netters,
  
 I would like to calculate with MOPAC the geometry of an organic anion.
 I am not sure that the calculation of an ion alone in the gas-phase
 would be very realistic (mainly because of intramolecular electrostatic
 repulsion), so I tried to use the so-called "sparkles" which are defined in
 the MOPAC manual as "pure ionic charges" or more precisely as an "integer
 charge at the center of a repulsion sphere of form exp(-alpha*r)".
 The manual explains further that the sparkles can be used as counterions.
  
 Unfortunately, my MOPAC calculation with a positive sparkle "+" ended up
 with the positive charge almost superimposed on the atom of my anion bearing
 most of the negative charge.
  
 Have I missed something in the keyword specification ? does anybody have
 experienced this MOPAC feature with some success ? (some refs would be
 welcome ).
 ---------------------------------------------------
 I managed to fix my problem when I realized that I was starting the geometry
 optmization with a too short distance between the sparkle and the anion. This
 caused the sparkle to nearly overlap the molecule in the end. Starting with a
 distance longer than the supposed radius of the sparkle allowed convergence to
 a geometry where the sparkle stays at a reasonable distance from the anion.
  
 Thanks to all who replied to me.
  
 Remi Le Goas
 Computer Aided Molecular Design
 Rhone-Poulenc Agrochimie
 LYON - France
 e-mail: [email-masked]
  
 ***************************************************
  
 from [email-masked] :
  
 Please check that your copy of MOPAC has the following bug-fixes:
  
                                                                     17 June
 1993
 ++++  In MOLDAT, after
          CALL CALPAR
 add
       DO 91 I=1,107
   91  IF(AM(I).LT.1.D-4)AM(I)=1.D0
 Reason:  Sparkles were not being handled correctly
  
                                                                  8 January 1994
 ++++ In block.f, after
       DATA VS(104)       /10.0D0/
 insert
       DATA ALPAM1(104)   / 1.5D0/
 Reason: The AM1 sparkle `+'  was not correctly specified.

 James J. P. Stewart
  
 ******************************************************************
 Dear Dr. Le Goas,
  
   Sparkles are not really quantum mechanical objects, but are simply
 acting as "polarizers".  They have no electrons and is the geometry is
 optimized with one being used, it will simply move toward the negative
 charge as you noted.  If you want to try computing the geometry of
 an organic anion as if it were in solution, I would use one of the semi-
 empirical continuum models.  In modern versions of MOPAC I think that
 this is COSMO.  In our AMPAC proogram, it is AMSOL.  I will be happy to
 send you info on that program if you would like.  This is not perfect,
 but should be better that a "bare" anion.
  
 =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                           DR. ANDREW HOLDER
          Assistant Professor of Computational/Organic Chemistry
  
 Department of Chemistry          **  Internet Addr: [email-masked]
 Univ. of Missouri - Kansas City  **  Phone Number:  (816) 235-2293
 Spencer Chemistry, Room 315      **  FAX Number:    (816) 235-5502
 Kansas City, Missouri 64110      **
 =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  
 ***********************************************************************
 Dear Dr Goas,
 It seems that the program worked correctly. Most probably you have
 asked the program to optimize the distance between the sparkle and the
 anion (or the atom concerned). Try to fix the distance (to see the effect
 of the potential created by the sparkle (or sparkles). But, as it is
 written in the Mopac Manual, you have to be very careful when using
 them. You could alternatively use COSMO within MOPAC if you do not
 wish to handle isolated anion species.
     I had problems getting rezonable results using sparkles when
 I tried to mimic iron atom within ferrocenophanes (J.Phys. Org. Chem.
 1989,2,602-610) and then decided to develop my own molecular
 mechanics force field for this species (J.Phys.Org. Chem. 1992,5,382-394).
     You could also ask for help to MOPAC Forum that was opened
 for a while at no cost. Then you should get help from Dr Stewart directly.
 Wishes, Jerzy Rudzinski
  
 Dr Jerzy M Rudzinski
 Fujitsu Kyushu System
 Fukuoka, Japan            [email-masked]
  
 *********************************************************************
 Remi,
 Here is a sparkles job that i've run.  It is not an acid counter ion
 but coordinates to the carbonyl of acrylic acid.  The results of the
 four isomers of acrylic acid coordinated with the potassium sparkle
 mimic the corresponding results of ab initio calculations
 coordinated with Li+.  This case should give you an idea of the use
 of the sparkle and can help you to determine if there are problems
 with your code.
 rick
 [email-masked]    internet address

 AM1 GNORM=0.001 SCFCRT=1.D-16 T=9999M HESS=1 EF CHARGE=1
  acrylic acid cis,syn conformation coordinated with K+
 FINAL HEAT OF FORMATION =        -62.04709 KCAL
   C    0.000000  0    0.000000  0    0.000000  0    0    0    0      -0.0565
   C    1.329716  1    0.000000  0    0.000000  0    1    0    0      -0.2014
   H    1.087972  1  123.151621  1    0.000000  0    1    2    0       0.0986
   H    1.086237  1  122.310316  1  180.000000  0    1    2    3       0.0746
   C    1.482676  1  121.909848  1    0.000000  0    2    1    3       0.2569
   H    1.097405  1  120.693802  1  180.000000  0    2    1    3       0.1048
   O    1.228531  1  125.734878  1    0.000000  0    5    2    1      -0.3987
   O    1.396593  1  117.806960  1  180.000000  0    5    2    1      -0.0089
   H    0.989783  1  120.953680  1  180.000000  0    8    5    2       0.0557
   K    2.989783  1  120.953680  1  180.000000  0    7    5    8       0.0557
   0    0.000000  0    0.000000  0    0.000000  0    0    0    0
  
 *********************************************************************
    Dear Dr. Remi,
  
  Please take a look at our paper entitled:
  
        "Sparkle Model for the Quantum Chemical Calculation of Lanthanide
         Complexes"
  
         Chem. Phys. Lett. 227 (1994) 349-353.
  
  There you will find a description of how to optimize the sparkle
 parameters. It may be of help to you. I guess that you may have to
 reparametrize them to suit your needs.
  
  Sincerely,
  
 ************************************************************************
 *                                                                      *
 * Alfredo Mayall Simas                     e-mail: [email-masked]    *
 * Departamento de Quimica Fundamental         Fax: (081) 271-8442      *
 * Universidade Federal de Pernambuco       Office: (081) 271-8440 x 37 *
 * 50.739-000 Recife, PE                      CCEN: (081) 271-8400      *
 * Brasil
                                           *
 *                                                                      *
 ************************************************************************